%define _requires_exceptions perl(controllib.pl)\\|perl(file)

Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.17.25
%define subrel 1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Packaging
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
Source1:	%{name}-pl-man-pages.tar.bz2
# We add debsign in this package as it's a simple script allowing to maintain 
# Debian signed repositories - The package to which it belongs is not in Mageia yet.
Source2:    debsign.sh
Source3:    debsign.1
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRequires:	po4a

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

dpkg-dev is not provided on your %{_vendor} system.

%package -n	perl-Dpkg
Summary:        Package maintenance system for Debian Linux
Group:          Development/Perl
# The Dpkg.pm points to either /usr/lib or /usr/lib64 so it cannot be
# noarch.
# BuildArch:      noarch

%description -n	perl-Dpkg
This module provides dpkg functionalities.

%prep
%setup -q

%build
%configure2_5x \
    --disable-dselect \
    --with-admindir=%{_localstatedir}/lib/%{name}

%make

%install
%makeinstall_std

install -m 755 %{SOURCE2} %{buildroot}/%{_bindir}/debsign
install -m 644 %{SOURCE3} %{buildroot}/%{_mandir}/man1
bzip2 -dc %{SOURCE1} | tar xf - -C %{buildroot}%{_mandir}

# cleanup
rm -fr %{buildroot}%{_datadir}/locale/en/
rm -fr %{buildroot}%{_sysconfdir}/alternatives
rm -f %{buildroot}%{_bindir}/update-alternatives
rm -f %{buildroot}%{_sbindir}/update-alternatives
rm -fr %{buildroot}/usr/share/doc
find %{buildroot} -name "md5sum*" -exec rm -f {} \;
find %{buildroot}%{_mandir} -name "update-alternatives*" -exec rm -f {} \;

# (blino) not possible to install this in parallel to GNU's install-info after the /usr move
# anyway, in current dpkg version, this is only a wrapper printing a warning if called
# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
rm -f %{buildroot}%{_sbindir}/install-info

%find_lang %name --with-man --all-name

%files -f dpkg.lang
%attr(0755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}/
#%attr(0755,root,root) %{_libdir}/%{name}/mksplit
%{_libdir}/%{name}/parsechangelog/debian
%{_libdir}/lib%{name}.la
%attr(0755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/cputable
%{_datadir}/%{name}/ostable
%{_datadir}/%{name}/*.mk
%{_datadir}/dpkg/triplettable
%{_datadir}/dpkg/abitable
%{_localstatedir}/lib/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_mandir}/man?/*
%{_includedir}/dpkg/*
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc

%lang(de) %{_mandir}/de/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(sv) %{_mandir}/sv/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(hu) %{_mandir}/hu/man?/*
%lang(es) %{_mandir}/es/man?/*

%files -n perl-Dpkg
%{perl_vendorlib}/Dpkg
%{perl_vendorlib}/Dpkg.pm


%changelog
* Tue May 05 2015 bcornec <bcornec> 1.17.25-1.1.mga4
+ Revision: 821257
- Fix #15672 for mga4 (CVE-2015-0840)
- Fix bug 13279 by updating to upstream 1.17.10

* Mon Oct 21 2013 umeabot <umeabot> 1.17.1-2.mga4
+ Revision: 539872
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bcornec <bcornec> 1.17.1-1.mga4
+ Revision: 493045
- Update dpkg to upstream 1.17.1

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.16.8-8.mga4
+ Revision: 474927
- rpm no longer allows listing a symlink to a directory as a dir in files
- rpm no longer allows using attr on a symlink in files

* Wed May 29 2013 tv <tv> 1.16.8-7.mga4
+ Revision: 430130
- rebuild for new perl

* Sun Apr 07 2013 luigiwalser <luigiwalser> 1.16.8-6.mga3
+ Revision: 408803
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 1.16.8-5.mga3
+ Revision: 403602
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Tue Jan 22 2013 fwang <fwang> 1.16.8-4.mga3
+ Revision: 390769
- update file list
- update file list
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.16.8-3.mga3
+ Revision: 349080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 shlomif <shlomif> 1.16.8-2.mga3
+ Revision: 283839
- Made perl-Dpkg arch-dependent

  + fedya <fedya>
    - %find_lang dselect not needed

* Thu Aug 16 2012 fedya <fedya> 1.16.8-1.mga3
+ Revision: 281494
- option --without-dselect renamed to --disalbe-dselect
- gentoo-bug-289094.patch removed cause no longer needed and version update to 1.16.8

* Sun Jul 22 2012 blino <blino> 1.16.0.1-3.mga3
+ Revision: 273448
- drop /usr/sbin/install-info for /usr move, it was only a warning-wrapper anyway

* Sat May 21 2011 cjw <cjw> 1.16.0.1-2.mga1
+ Revision: 100055
- drop patch4, fixed upstream

  + ahmad <ahmad>
    - Replace a reference to Mandriva with Mageia

  + tv <tv>
    - new release

* Thu Mar 24 2011 boklm <boklm> 1.15.8.4-2.mga1
+ Revision: 76136
- rebuild for bug #497

* Sun Mar 06 2011 ennael <ennael> 1.15.8.4-1.mga1
+ Revision: 65271
- clean spec file
- imported package dpkg


* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.15.8.4-1mdv2011.0
+ Revision: 572150
- drop p0, uneeded now.
- drop p1 && p2, merged upstream.
- add p4 for fix string format
- update file list

* Fri Aug 06 2010 Bruno Cornec <bcornec@mandriva.org> 1.15.5.6-2mdv2011.0
+ Revision: 566523
- Adding the patch file for http://bugs.gentoo.org/show_bug.cgi?id=289094
- Add a patch to fix the bug reported in http://bugs.gentoo.org/show_bug.cgi?id=289094 which is also valid on Mandriva

* Sun Apr 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.15.5.6-1mdv2010.1
+ Revision: 536359
- 1.15.5.6
- sync patches with fedora
- added the perl sub package

  + Thierry Vignaud <tv@mandriva.org>
    - patch 0: fix format string
    - new release

* Thu Jul 30 2009 Thierry Vignaud <tv@mandriva.org> 1.13.26-1mdv2010.0
+ Revision: 404636
- new release (basic lzma support (needed for alien))
- BR po4a

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.13.11-4mdv2009.0
+ Revision: 244523
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.13.11-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Jérôme Soyer <saispo@mandriva.org>
    - import dpkg


* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 1.13.11-2mdv2007.0
- new extension

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13.11-1mdk
- 1.13.11

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10.28-1mdk
- 1.10.28

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.21-1mdk
- rpmbuildupdate aware
- New release 1.10.21

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 1.10.18-3mdk 
- remove invalid word

* Sat Mar 06 2004 Michael Scherer <misc@mandrake.org> 1.10.18-2mdk 
- fix unpackaged files

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.18-1mdk
- new release

* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.10.10-5mdk 
- update description
- BuildRequires zlib-devel
- macros

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-4mdk
- fix DIRM error 

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-3mdk
- don't require perl(file)

* Mon Jul 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-2mdk
- fix requires

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-1mdk
- 1.10.10 

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.9-1mdk
- 1.10.9
- remove patch1,2,3
- rediff patch0
- new patch2
- fix unpackaged files

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-3mdk
- remove useless en translation
- add Url

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-2mdk
- remove conflict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-1mdk
- initial package

